# -*- coding: utf-8 -*-

##    GNU AGPLv3
##
##    dirock reflow software
##    Copyright (C) 2014  dirock UG (haftungsbeschraenkt)
##
##    This program is free software: you can redistribute it and/or modify
##    it under the terms of the GNU Affero General Public License as published by
##    the Free Software Foundation, either version 3 of the License, or
##    (at your option) any later version.
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU Affero General Public License for more details.
##
##    You should have received a copy of the GNU Affero General Public License
##    along with this program.  If not, see www.gnu.org/licenses/.
##    Lars.Rockstroh@dirock.de

from PySide import QtCore, QtGui

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.setEnabled(True)
        MainWindow.resize(947, 807)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(MainWindow.sizePolicy().hasHeightForWidth())
        MainWindow.setSizePolicy(sizePolicy)
        MainWindow.setMinimumSize(QtCore.QSize(947, 807))
        MainWindow.setMaximumSize(QtCore.QSize(947, 807))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap("icon.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        MainWindow.setWindowIcon(icon)
        self.centralwidget = QtGui.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.abcwidget = MatplotlibWidget(self.centralwidget)
        self.abcwidget.setGeometry(QtCore.QRect(10, 360, 931, 421))
        self.abcwidget.setObjectName("abcwidget")
        self.groupBox_file = QtGui.QGroupBox(self.centralwidget)
        self.groupBox_file.setEnabled(True)
        self.groupBox_file.setGeometry(QtCore.QRect(500, 10, 441, 141))
        self.groupBox_file.setObjectName("groupBox_file")
        self.label_3 = QtGui.QLabel(self.groupBox_file)
        self.label_3.setGeometry(QtCore.QRect(10, 30, 141, 16))
        self.label_3.setObjectName("label_3")
        self.label_4 = QtGui.QLabel(self.groupBox_file)
        self.label_4.setGeometry(QtCore.QRect(10, 70, 121, 16))
        self.label_4.setObjectName("label_4")
        self.lineEdit_com = QtGui.QLineEdit(self.groupBox_file)
        self.lineEdit_com.setGeometry(QtCore.QRect(220, 30, 134, 22))
        self.lineEdit_com.setObjectName("lineEdit_com")
        self.lineEdit_file = QtGui.QLineEdit(self.groupBox_file)
        self.lineEdit_file.setGeometry(QtCore.QRect(220, 70, 134, 22))
        self.lineEdit_file.setObjectName("lineEdit_file")
        self.label_10 = QtGui.QLabel(self.groupBox_file)
        self.label_10.setGeometry(QtCore.QRect(10, 110, 181, 16))
        self.label_10.setObjectName("label_10")
        self.box_samplinglog = QtGui.QSpinBox(self.groupBox_file)
        self.box_samplinglog.setGeometry(QtCore.QRect(220, 110, 135, 22))
        self.box_samplinglog.setMinimum(1)
        self.box_samplinglog.setMaximum(120)
        self.box_samplinglog.setProperty("value", 1)
        self.box_samplinglog.setObjectName("box_samplinglog")
        self.groupBox_2 = QtGui.QGroupBox(self.centralwidget)
        self.groupBox_2.setGeometry(QtCore.QRect(500, 160, 441, 191))
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayoutWidget_2 = QtGui.QWidget(self.groupBox_2)
        self.gridLayoutWidget_2.setGeometry(QtCore.QRect(10, 20, 421, 161))
        self.gridLayoutWidget_2.setObjectName("gridLayoutWidget_2")
        self.gridLayout_2 = QtGui.QGridLayout(self.gridLayoutWidget_2)
        self.gridLayout_2.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_16 = QtGui.QLabel(self.gridLayoutWidget_2)
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_16.setFont(font)
        self.label_16.setObjectName("label_16")
        self.gridLayout_2.addWidget(self.label_16, 1, 0, 1, 1)
        self.label_8 = QtGui.QLabel(self.gridLayoutWidget_2)
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_8.setFont(font)
        self.label_8.setObjectName("label_8")
        self.gridLayout_2.addWidget(self.label_8, 2, 0, 1, 1)
        self.label_7 = QtGui.QLabel(self.gridLayoutWidget_2)
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_7.setFont(font)
        self.label_7.setObjectName("label_7")
        self.gridLayout_2.addWidget(self.label_7, 0, 0, 1, 1)
        self.label_17 = QtGui.QLabel(self.gridLayoutWidget_2)
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_17.setFont(font)
        self.label_17.setObjectName("label_17")
        self.gridLayout_2.addWidget(self.label_17, 3, 0, 1, 1)
        self.label_temp = QtGui.QLabel(self.gridLayoutWidget_2)
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_temp.setFont(font)
        self.label_temp.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.label_temp.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_temp.setObjectName("label_temp")
        self.gridLayout_2.addWidget(self.label_temp, 0, 1, 1, 1)
        self.label_stage = QtGui.QLabel(self.gridLayoutWidget_2)
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_stage.setFont(font)
        self.label_stage.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.label_stage.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_stage.setObjectName("label_stage")
        self.gridLayout_2.addWidget(self.label_stage, 1, 1, 1, 1)
        self.label_timeleft = QtGui.QLabel(self.gridLayoutWidget_2)
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_timeleft.setFont(font)
        self.label_timeleft.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.label_timeleft.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_timeleft.setObjectName("label_timeleft")
        self.gridLayout_2.addWidget(self.label_timeleft, 2, 1, 1, 1)
        self.label_power = QtGui.QLabel(self.gridLayoutWidget_2)
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_power.setFont(font)
        self.label_power.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.label_power.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_power.setObjectName("label_power")
        self.gridLayout_2.addWidget(self.label_power, 3, 1, 1, 1)
        self.groupBox_3 = QtGui.QGroupBox(self.centralwidget)
        self.groupBox_3.setGeometry(QtCore.QRect(10, 10, 441, 341))
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayoutWidget = QtGui.QWidget(self.groupBox_3)
        self.gridLayoutWidget.setGeometry(QtCore.QRect(10, 20, 420, 301))
        self.gridLayoutWidget.setObjectName("gridLayoutWidget")
        self.gridLayout = QtGui.QGridLayout(self.gridLayoutWidget)
        self.gridLayout.setContentsMargins(0, 0, 0, 0)
        self.gridLayout.setObjectName("gridLayout")
        self.pushButton_6 = QtGui.QPushButton(self.gridLayoutWidget)
        self.pushButton_6.setObjectName("pushButton_6")
        self.gridLayout.addWidget(self.pushButton_6, 5, 0, 1, 1)
        self.pushButton_5 = QtGui.QPushButton(self.gridLayoutWidget)
        self.pushButton_5.setObjectName("pushButton_5")
        self.gridLayout.addWidget(self.pushButton_5, 4, 0, 1, 1)
        self.pushButton_8 = QtGui.QPushButton(self.gridLayoutWidget)
        self.pushButton_8.setObjectName("pushButton_8")
        self.gridLayout.addWidget(self.pushButton_8, 7, 0, 1, 1)
        self.box_time1 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_time1.setMaximum(30000)
        self.box_time1.setProperty("value", 100)
        self.box_time1.setObjectName("box_time1")
        self.gridLayout.addWidget(self.box_time1, 2, 1, 1, 1)
        self.pushButton_4 = QtGui.QPushButton(self.gridLayoutWidget)
        self.pushButton_4.setObjectName("pushButton_4")
        self.gridLayout.addWidget(self.pushButton_4, 3, 0, 1, 1)
        self.box_time0 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_time0.setMaximum(30000)
        self.box_time0.setProperty("value", 100)
        self.box_time0.setObjectName("box_time0")
        self.gridLayout.addWidget(self.box_time0, 1, 1, 1, 1)
        self.box_temp5 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_temp5.setMaximum(350)
        self.box_temp5.setObjectName("box_temp5")
        self.gridLayout.addWidget(self.box_temp5, 6, 2, 1, 1)
        self.label_2 = QtGui.QLabel(self.gridLayoutWidget)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 2, 1, 1)
        self.box_temp6 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_temp6.setMaximum(350)
        self.box_temp6.setObjectName("box_temp6")
        self.gridLayout.addWidget(self.box_temp6, 7, 2, 1, 1)
        self.pushButton = QtGui.QPushButton(self.gridLayoutWidget)
        self.pushButton.setObjectName("pushButton")
        self.gridLayout.addWidget(self.pushButton, 1, 0, 1, 1)
        self.box_temp1 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_temp1.setMaximum(350)
        self.box_temp1.setProperty("value", 200)
        self.box_temp1.setObjectName("box_temp1")
        self.gridLayout.addWidget(self.box_temp1, 2, 2, 1, 1)
        self.pushButton_3 = QtGui.QPushButton(self.gridLayoutWidget)
        self.pushButton_3.setObjectName("pushButton_3")
        self.gridLayout.addWidget(self.pushButton_3, 2, 0, 1, 1)
        self.box_temp4 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_temp4.setMaximum(350)
        self.box_temp4.setObjectName("box_temp4")
        self.gridLayout.addWidget(self.box_temp4, 5, 2, 1, 1)
        self.box_temp2 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_temp2.setMaximum(350)
        self.box_temp2.setProperty("value", 260)
        self.box_temp2.setObjectName("box_temp2")
        self.gridLayout.addWidget(self.box_temp2, 3, 2, 1, 1)
        self.box_temp0 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_temp0.setMaximum(350)
        self.box_temp0.setProperty("value", 125)
        self.box_temp0.setObjectName("box_temp0")
        self.gridLayout.addWidget(self.box_temp0, 1, 2, 1, 1)
        self.label = QtGui.QLabel(self.gridLayoutWidget)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 1, 1, 1)
        self.box_temp3 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_temp3.setMaximum(350)
        self.box_temp3.setObjectName("box_temp3")
        self.gridLayout.addWidget(self.box_temp3, 4, 2, 1, 1)
        self.pushButton_7 = QtGui.QPushButton(self.gridLayoutWidget)
        self.pushButton_7.setObjectName("pushButton_7")
        self.gridLayout.addWidget(self.pushButton_7, 6, 0, 1, 1)
        self.box_time3 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_time3.setMaximum(30000)
        self.box_time3.setProperty("value", 100)
        self.box_time3.setObjectName("box_time3")
        self.gridLayout.addWidget(self.box_time3, 4, 1, 1, 1)
        self.box_time2 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_time2.setMaximum(30000)
        self.box_time2.setProperty("value", 50)
        self.box_time2.setObjectName("box_time2")
        self.gridLayout.addWidget(self.box_time2, 3, 1, 1, 1)
        self.label_9 = QtGui.QLabel(self.gridLayoutWidget)
        self.label_9.setObjectName("label_9")
        self.gridLayout.addWidget(self.label_9, 0, 0, 1, 1)
        self.box_temp7 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_temp7.setEnabled(False)
        self.box_temp7.setMaximum(350)
        self.box_temp7.setObjectName("box_temp7")
        self.gridLayout.addWidget(self.box_temp7, 8, 2, 1, 1)
        self.pushButton_9 = QtGui.QPushButton(self.gridLayoutWidget)
        self.pushButton_9.setObjectName("pushButton_9")
        self.gridLayout.addWidget(self.pushButton_9, 8, 0, 1, 1)
        self.box_time4 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_time4.setMaximum(30000)
        self.box_time4.setObjectName("box_time4")
        self.gridLayout.addWidget(self.box_time4, 5, 1, 1, 1)
        self.box_time5 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_time5.setMaximum(30000)
        self.box_time5.setObjectName("box_time5")
        self.gridLayout.addWidget(self.box_time5, 6, 1, 1, 1)
        self.box_time6 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_time6.setMaximum(30000)
        self.box_time6.setObjectName("box_time6")
        self.gridLayout.addWidget(self.box_time6, 7, 1, 1, 1)
        self.box_time7 = QtGui.QSpinBox(self.gridLayoutWidget)
        self.box_time7.setEnabled(False)
        self.box_time7.setMaximum(350)
        self.box_time7.setProperty("value", 1)
        self.box_time7.setObjectName("box_time7")
        self.gridLayout.addWidget(self.box_time7, 8, 1, 1, 1)
        MainWindow.setCentralWidget(self.centralwidget)
        self.statusBar = QtGui.QStatusBar(MainWindow)
        self.statusBar.setObjectName("statusBar")
        MainWindow.setStatusBar(self.statusBar)

        self.retranslateUi(MainWindow)
        QtCore.QObject.connect(self.pushButton, QtCore.SIGNAL("clicked()"), MainWindow.slot_Button)
        QtCore.QObject.connect(self.pushButton_3, QtCore.SIGNAL("clicked()"), MainWindow.slot_Button)
        QtCore.QObject.connect(self.pushButton_4, QtCore.SIGNAL("clicked()"), MainWindow.slot_Button)
        QtCore.QObject.connect(self.pushButton_5, QtCore.SIGNAL("clicked()"), MainWindow.slot_Button)
        QtCore.QObject.connect(self.pushButton_6, QtCore.SIGNAL("clicked()"), MainWindow.slot_Button)
        QtCore.QObject.connect(self.pushButton_7, QtCore.SIGNAL("clicked()"), MainWindow.slot_Button)
        QtCore.QObject.connect(self.pushButton_8, QtCore.SIGNAL("clicked()"), MainWindow.slot_Button)
        QtCore.QObject.connect(self.pushButton_9, QtCore.SIGNAL("clicked()"), MainWindow.slot_Button)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(QtGui.QApplication.translate("MainWindow", "dirock reflow, GNU AGPLv3, programm version 1.0", None, QtGui.QApplication.UnicodeUTF8))
        self.groupBox_file.setTitle(QtGui.QApplication.translate("MainWindow", "Files and connection (only in stage 7)", None, QtGui.QApplication.UnicodeUTF8))
        self.label_3.setText(QtGui.QApplication.translate("MainWindow", "Com Port (0, 1, 2, ...)", None, QtGui.QApplication.UnicodeUTF8))
        self.label_4.setText(QtGui.QApplication.translate("MainWindow", "File prefix for saving", None, QtGui.QApplication.UnicodeUTF8))
        self.lineEdit_com.setText(QtGui.QApplication.translate("MainWindow", "12", None, QtGui.QApplication.UnicodeUTF8))
        self.lineEdit_file.setText(QtGui.QApplication.translate("MainWindow", "data/reflow", None, QtGui.QApplication.UnicodeUTF8))
        self.label_10.setText(QtGui.QApplication.translate("MainWindow", "<html><head/><body><p>Logging every x-th sample. x=</p><p><br/></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.groupBox_2.setTitle(QtGui.QApplication.translate("MainWindow", "Status", None, QtGui.QApplication.UnicodeUTF8))
        self.label_16.setText(QtGui.QApplication.translate("MainWindow", "Current stage (0-7):", None, QtGui.QApplication.UnicodeUTF8))
        self.label_8.setText(QtGui.QApplication.translate("MainWindow", "Time before next stage (s):", None, QtGui.QApplication.UnicodeUTF8))
        self.label_7.setText(QtGui.QApplication.translate("MainWindow", "Current temperature (C):", None, QtGui.QApplication.UnicodeUTF8))
        self.label_17.setText(QtGui.QApplication.translate("MainWindow", "Current power setting (%):", None, QtGui.QApplication.UnicodeUTF8))
        self.label_temp.setText(QtGui.QApplication.translate("MainWindow", "0", None, QtGui.QApplication.UnicodeUTF8))
        self.label_stage.setText(QtGui.QApplication.translate("MainWindow", "7", None, QtGui.QApplication.UnicodeUTF8))
        self.label_timeleft.setText(QtGui.QApplication.translate("MainWindow", "0", None, QtGui.QApplication.UnicodeUTF8))
        self.label_power.setText(QtGui.QApplication.translate("MainWindow", "0", None, QtGui.QApplication.UnicodeUTF8))
        self.groupBox_3.setTitle(QtGui.QApplication.translate("MainWindow", "Temperature profile", None, QtGui.QApplication.UnicodeUTF8))
        self.pushButton_6.setText(QtGui.QApplication.translate("MainWindow", "Start 4", None, QtGui.QApplication.UnicodeUTF8))
        self.pushButton_5.setText(QtGui.QApplication.translate("MainWindow", "Start 3", None, QtGui.QApplication.UnicodeUTF8))
        self.pushButton_8.setText(QtGui.QApplication.translate("MainWindow", "Start 6", None, QtGui.QApplication.UnicodeUTF8))
        self.pushButton_4.setText(QtGui.QApplication.translate("MainWindow", "Start 2", None, QtGui.QApplication.UnicodeUTF8))
        self.label_2.setText(QtGui.QApplication.translate("MainWindow", "Temperature (C)", None, QtGui.QApplication.UnicodeUTF8))
        self.pushButton.setText(QtGui.QApplication.translate("MainWindow", "Start 0", None, QtGui.QApplication.UnicodeUTF8))
        self.pushButton_3.setText(QtGui.QApplication.translate("MainWindow", "Start 1", None, QtGui.QApplication.UnicodeUTF8))
        self.label.setText(QtGui.QApplication.translate("MainWindow", "Time (s)", None, QtGui.QApplication.UnicodeUTF8))
        self.pushButton_7.setText(QtGui.QApplication.translate("MainWindow", "Start 5", None, QtGui.QApplication.UnicodeUTF8))
        self.label_9.setText(QtGui.QApplication.translate("MainWindow", "Stage", None, QtGui.QApplication.UnicodeUTF8))
        self.pushButton_9.setText(QtGui.QApplication.translate("MainWindow", "STOP and save 7", None, QtGui.QApplication.UnicodeUTF8))

from matplotlibwidget import MatplotlibWidget
